export const tasks = [
	{
		id: 1,
		start: new Date(2024, 9, 19),
		end: new Date(2024, 9, 25),
		text: "Planning & Preparation",
		progress: 100,
		parent: 0,
		type: "summary",
		open: true,
		details: "",
	},
	{
		id: 11,
		start: new Date(2024, 9, 19),
		end: new Date(2024, 9, 20),
		text: "Set date",
		progress: 100,
		parent: 1,
		type: "task",
		details:
			"Finalize the date and time for the Halloween party. Make sure it suits everyone's availability",
		to: 1,
	},
	{
		id: 12,
		start: new Date(2024, 9, 19),
		end: new Date(2024, 9, 21),
		text: "Guest list",
		progress: 100,
		parent: 1,
		type: "task",
		details:
			"List down the people to invite. Close friends and family. Only those with a sense of humor.",
		to: 2,
	},
	{
		id: 13,
		start: new Date(2024, 9, 21),
		end: new Date(2024, 9, 23),
		text: "Send Invitations",
		progress: 100,
		parent: 1,
		type: "task",
		details:
			"Send out the invitations by email or DMs. Make sure to include the date, time, and costume suggestions",
		to: 2,
	},
	{
		id: 14,
		start: new Date(2024, 9, 23),
		end: new Date(2024, 9, 25),
		text: "Choose costumes",
		progress: 100,
		parent: 1,
		type: "task",
		details: "Select or rent costumes. Be creative and bold.",
		to: 2,
	},
	{
		id: 15,
		start: new Date(2024, 9, 24),
		text: "Send Invitations",
		progress: 100,
		parent: 1,
		type: "milestone",
		details: "Mark the completion of sending out invitations",
	},

	{
		id: 2,
		start: new Date(2024, 9, 21),
		end: new Date(2024, 9, 27),
		text: "Venue Decoration",
		progress: 70,
		parent: 0,
		type: "summary",
		open: true,
	},
	{
		id: 21,
		start: new Date(2024, 9, 21),
		end: new Date(2024, 9, 23),
		text: "Buy decorations",
		progress: 100,
		parent: 2,
		type: "task",
		details:
			"Purchase all necessary decorations, including pumpkins, lights, skeletons, spiderwebs, and other spooky props.",
		to: 1,
	},
	{
		id: 22,
		start: new Date(2024, 9, 23),
		end: new Date(2024, 9, 26),
		text: "Set up decorations",
		progress: 90,
		parent: 2,
		type: "task",
		details:
			"Decorate the venue with all the purchased items. Aim for a fun, spooky atmosphere without making it too terrifying, seriously.",
		to: 2,
	},
	{
		id: 23,
		start: new Date(2024, 9, 25),
		end: new Date(2024, 9, 27),
		text: "Carve pumpkins",
		progress: 0,
		parent: 2,
		type: "task",
		details: "Carve pumpkins for decoration.",
		to: 1,
	},
	{
		id: 24,
		start: new Date(2024, 9, 27),
		text: "Venue ready",
		progress: 0,
		parent: 2,
		type: "milestone",
		details: "Venue is fully decorated and ready for the party.",
	},

	{
		id: 3,
		start: new Date(2024, 9, 23),
		end: new Date(2024, 9, 31),
		text: " Food & Drinks",
		progress: 30,
		parent: 0,
		type: "summary",
		open: true,
	},
	{
		id: 31,
		start: new Date(2024, 9, 23),
		end: new Date(2024, 9, 24),
		text: "Plan Menu",
		progress: 100,
		parent: 3,
		type: "task",
		details:
			"Decide on the food and drinks for the party. Include some Halloween-themed snacks and spooky sweets and cocktails.",
		to: 1,
	},
	{
		id: 32,
		start: new Date(2024, 9, 24),
		end: new Date(2024, 9, 27),
		text: "Buy Ingredients",
		progress: 80,
		parent: 3,
		type: "task",
		details:
			"Purchase ingredients for the planned menu, drinks, sweets for trick-or-treaters.",
		to: 2,
	},
	{
		id: 33,
		start: new Date(2024, 9, 30),
		end: new Date(2024, 9, 31),
		text: "Cooking",
		progress: 0,
		parent: 3,
		type: "task",
		details: "Prepare snacks, drinks, and Halloween-themed treats.",
		to: 1,
	},

	{
		id: 4,
		start: new Date(2024, 9, 26),
		end: new Date(2024, 9, 31),
		text: "Entertainment",
		progress: 0,
		parent: 0,
		type: "summary",
		open: true,
	},
	{
		id: 41,
		start: new Date(2024, 9, 26),
		end: new Date(2024, 9, 28),
		text: "Create playlist",
		progress: 0,
		parent: 4,
		type: "task",
		details: "Prepare a Halloween-themed music playlist for the party.",
		to: 1,
	},
	{
		id: 42,
		start: new Date(2024, 9, 27),
		end: new Date(2024, 9, 29),
		text: "Prepare party games",
		progress: 0,
		parent: 4,
		type: "task",
		details: " Prepare games (costume contest, scavenger hunt, etc.).",
		to: 2,
	},
	{
		id: 43,
		start: new Date(2024, 9, 29),
		end: new Date(2024, 9, 30),
		text: "Borrow speakers",
		progress: 0,
		parent: 4,
		type: "task",
		details:
			"Borrow or rent speakers for the music and announcements at the party.",
		to: 1,
	},
	{
		id: 44,
		start: new Date(2024, 9, 30),
		end: new Date(2024, 9, 31),
		text: "Notify neighbors",
		progress: 0,
		parent: 4,
		type: "task",
		details:
			"Inform the neighbors about the party to avoid noise complaints. Keep it friendly!",
		to: 2,
	},

	{
		id: 5,
		start: new Date(2024, 9, 31),
		text: "Halloween Party",
		progress: 0,
		parent: 0,
		type: "milestone",
		details:
			"The big day! It’s time for the Halloween party. Make sure everything is in place and get ready for a spooky and fun night with friends and family.",
	},
];

export const links = [
	{
		id: 1,
		source: 11,
		target: 13,
		type: "e2s",
	},
	{
		id: 2,
		source: 12,
		target: 13,
		type: "e2s",
	},
	{
		id: 3,
		source: 13,
		target: 15,
		type: "e2s",
	},
	{
		id: 4,
		source: 21,
		target: 22,
		type: "e2s",
	},
	{
		id: 5,
		source: 21,
		target: 23,
		type: "e2s",
	},
	{
		id: 6,
		source: 22,
		target: 24,
		type: "e2s",
	},
	{
		id: 7,
		source: 23,
		target: 24,
		type: "e2s",
	},

	{
		id: 8,
		source: 31,
		target: 32,
		type: "e2s",
	},
	{
		id: 9,
		source: 32,
		target: 33,
		type: "e2s",
	},
];

export const users = [
	{ id: 1, label: "David" },
	{ id: 2, label: "Olivia" },
];
