import { resolve } from "path";
import { svelte } from "@sveltejs/vite-plugin-svelte";

export default () => {
	let build,
		publicDir = resolve(__dirname, "public"),
		server = {},
		base = "",
		plugins = [
			svelte({
				onwarn(warning, defaultHandler) {
					if (
						warning.code ===
							"a11y-no-static-element-interactions" ||
						warning.code === "a11y-unknown-role"
					)
						return;
					defaultHandler(warning);
				},
			}),
		];

	build = {
		rollupOptions: {
			input: { index: resolve(__dirname, "index.html") },
		},
	};

	return {
		base,
		build,
		publicDir,
		resolve: { dedupe: ["svelte"] },
		plugins,
		server,
	};
};
